python项目自动生成requirements文件

python
pip install pipreqs
pipreqs ./ --encoding='utf-8'

小伙伴们在写代码的时候有没有遇到过代码在开发的机器上运行时还好好的,换台机器之后总会有莫名其妙的错误,这很可能是由于安装的环境或者引入的库版本不一致导致的,小菜鸟这次就遇到了,就想解决一下这个问题,找到了pipreqs包,在我们开发完成后,一行命令生成一下项目中所用的包即可,在新环境中一键安装对应版本的包就可以啦!赶紧尝试一下吧!

小伙伴可以关注本站,一起交流学习哦!